<RESOURCE_PROFILE>
	<HEADER>
		<RESOURCE_IDENTIFIER value="df913a07-0a79-4b67-90c5-890733bca137_V29ya2Zsb3dUZW1wbGF0ZURTUmVzb3VyY2VzL1dvcmtmbG93VGVtcGxhdGVEU1Jlc291cmNlVHlwZQ=="/>
		<RESOURCE_TYPE value="WorkflowTemplateDSResourceType"/>
		<RESOURCE_KIND value="WorkflowTemplateDSResources"/>
		<RESOURCE_URI value=""/>
		<DATE_OF_CREATION value="2017-01-17T17:00:00.0Z"/>
	</HEADER>
	<BODY>
		<CONFIGURATION>
			<PARAMETERS>
				<PARAM name="cleanMdstoreId" description="Store for transformed records" required="true" type="string"/>
				<PARAM name="OAIFormat" description="OAI Format" required="true" type="string"/>
				<PARAM name="OAILayout" description="OAI Layout" required="true" type="string"/>
				<PARAM name="OAIInterpretation" description="OAI Interpretation" required="true" type="string"/>
				<PARAM name="OAIDBName" description="OAI Database Name" required="true" type="string"/>
			</PARAMETERS>
			<WORKFLOW>
				<NODE name="fetchCleaned" type="FetchMDStoreRecords" isStart="true">
					<DESCRIPTION>Fetch records from MDStore</DESCRIPTION>
					<PARAMETERS>
						<PARAM name="mdId" ref="cleanMdstoreId"/>
						<PARAM name="eprParam" value="orig_epr"/>
					</PARAMETERS>
					<ARCS>
						<ARC to="oaiSync"/>
					</ARCS>
				</NODE>
				<NODE name="oaiSync" type="SyncOAIStores">
					<DESCRIPTION>Clean original records</DESCRIPTION>
					<PARAMETERS>
						<PARAM name="eprParam" value="orig_epr"/>
						<PARAM name="oaiFormat" ref="OAIFormat"/>
						<PARAM name="oaiLayout" ref="OAILayout"/>
						<PARAM name="oaiInterpretation" ref="OAIInterpretation"/>
						<PARAM name="oaiDbName" ref="OAIDBName"/>
					</PARAMETERS>
					<ARCS>
						<ARC to="updateSetsCount"/>
					</ARCS>
				</NODE>
				<!-- TODO: have a node that only counts for records in the set of this API -->
				<NODE name="updateSetsCount" type="OAISetsCountUpdate">
					<DESCRIPTION>Update set counters</DESCRIPTION>
					<PARAMETERS>
						<PARAM name="oaiFormat" ref="OAIFormat"/>
						<PARAM name="oaiLayout" ref="OAILayout"/>
						<PARAM name="oaiInterpretation" ref="OAIInterpretation"/>
						<PARAM name="oaiDbName" ref="OAIDBName"/>
						<PARAM name="configuredOnly" value="false"/>
					</PARAMETERS>
					<ARCS>
						<ARC to="success"/>
					</ARCS>
				</NODE>
			</WORKFLOW>
		</CONFIGURATION>
	</BODY>
</RESOURCE_PROFILE>
